{"openapi":"3.0.0","info":{"title":"OVHcloud API specification","description":"Specification for OVHcloud API","version":"1.0","contact":{"name":"OVH","email":"api@ml.ovh.net"}},"servers":[{"url":"https://api.eu.ovhcloud.com/v2"}],"components":{"schemas":{"any":{"description":"Can be anything (text, int, bool, json, html, etc.)","example":"This is a content of any type !"},"common.CurrentTask":{"type":"object","description":"Asynchronous operation currently running","properties":{"errors":{"type":"array","description":"Errors that occurred on the task","nullable":true,"items":{"$ref":"#/components/schemas/common.TaskError"},"readOnly":true},"id":{"type":"string","description":"Identifier of the current task","format":"uuid","readOnly":true},"link":{"type":"string","description":"Link to the task details","readOnly":true},"status":{"allOf":[{"$ref":"#/components/schemas/common.CurrentTaskStatusEnum"}],"description":"Current global status of the current task","nullable":true,"readOnly":true},"type":{"type":"string","description":"Type of the current task","readOnly":true}}},"common.CurrentTaskStatusEnum":{"type":"string","description":"Current status of a task. A task in ERROR cannot be retried without your inputs. PENDING tasks will be executed as soon as possible. A RUNNING task is currently executing your original request. SCHEDULED is used for tasks that will be executed in the future.","enum":["ERROR","PENDING","RUNNING","SCHEDULED","WAITING_USER_INPUT"]},"common.ResourceStatusEnum":{"type":"string","description":"Current status of a resource","enum":["CREATING","CREATION_PLANNED","DELETING","ERROR","OUT_OF_SYNC","READY","SUSPENDED","UNKNOWN","UPDATING"]},"common.TaskError":{"type":"object","description":"Errors that occurred on the task","properties":{"message":{"type":"string","description":"Error description","readOnly":true}}},"duration":{"type":"string","description":"Duration (e.g., P1Y2M3DT4H6M9S)","example":"P1Y2M3DT4H6M9S"},"email":{"type":"string","description":"Email address (e.g., api@ml.ovh.net)","format":"email","example":"api@ml.ovh.net"},"finops.bucketExport.AsyncConfiguration":{"type":"object","description":"Bucket Export Configuration","properties":{"checksum":{"type":"string","description":"Checksum of the Bucket Export Configuration"},"currentState":{"allOf":[{"$ref":"#/components/schemas/finops.bucketExport.Configuration"}],"description":"Current state of the billing account","readOnly":true},"currentTasks":{"type":"array","description":"Task to do on this billing account","items":{"$ref":"#/components/schemas/common.CurrentTask"},"readOnly":true},"id":{"type":"string","description":"Unique identifier of the billing account","readOnly":true},"resourceStatus":{"allOf":[{"$ref":"#/components/schemas/common.ResourceStatusEnum"}],"description":"Billing account readiness in the system","readOnly":true},"targetSpec":{"allOf":[{"$ref":"#/components/schemas/finops.bucketExport.Configuration"}],"description":"Target Spec for the FinOps Bucket Export Configuration"}}},"finops.bucketExport.AsyncCreateConfiguration":{"type":"object","description":"FinOps Bucket Export creation parameters","properties":{"targetSpec":{"allOf":[{"$ref":"#/components/schemas/finops.bucketExport.Configuration"}],"description":"Target Spec for the bucket export configuration"}},"required":["targetSpec"]},"finops.bucketExport.BucketConfiguration":{"type":"object","description":"Configuration of the target bucket, which must be S3™*-compatible","properties":{"accessKey":{"type":"string","description":"S3™* access key","format":"password"},"bucketName":{"type":"string","description":"Name of the bucket where the file will be put"},"endpointURL":{"type":"string","description":"Hostname used to reach the S3™* cluster"},"pathPrefix":{"type":"string","description":"Folder where the files will be created"},"region":{"type":"string","description":"S3™* region name"},"secretKey":{"type":"string","description":"S3™* secret key","format":"password"}},"required":["accessKey","bucketName","endpointURL","region","secretKey"]},"finops.bucketExport.Configuration":{"type":"object","description":"FinOps bucket export configuration","properties":{"bucketConfiguration":{"allOf":[{"$ref":"#/components/schemas/finops.bucketExport.BucketConfiguration"}],"description":"Configuration of the target bucket, which must be S3™*-compatible"},"exportHour":{"type":"integer","description":"The hour (in UTC) we will deposit the file at. For example, if set to 7, the export will be triggered starting at 7:00 UTC. Only applicable to period=DAILY."},"filePolicy":{"allOf":[{"$ref":"#/components/schemas/finops.bucketExport.FilePolicyEnum"}],"description":"Strategy for file creation"},"period":{"allOf":[{"$ref":"#/components/schemas/finops.bucketExport.PeriodEnum"}],"description":"The period at which your finops data will be exported. Defaults to DAILY.","nullable":true},"scope":{"type":"string","description":"Scope of this export","readOnly":true}}},"finops.bucketExport.FilePolicyEnum":{"type":"string","description":"Policy applied for file creation","enum":["CREATE","REPLACE"]},"finops.bucketExport.PeriodEnum":{"type":"string","description":"The period at which your finops data will be exported","enum":["DAILY","HOURLY"]},"internationalPhoneNumber":{"type":"string","description":"International phone number","format":"phone-number"},"ip":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipBlock":{"type":"string","description":"IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)","format":"ip-block","example":"192.0.2.0/24"},"ipInterface":{"type":"string","description":"IP address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4":{"type":"string","description":"IPv4 address (e.g., 192.0.2.0)","format":"ipv4","example":"192.0.2.0"},"ipv4Block":{"type":"string","description":"IPv4 CIDR notation (e.g., 192.0.2.0/24)","format":"ipv4-block","example":"192.0.2.0/24"},"ipv6":{"type":"string","description":"IPv6 address (e.g., 2001:41d0:1:1994::1)","format":"ipv6","example":"2001:41d0:1:1994::1"},"ipv6Block":{"type":"string","description":"IPv6 CIDR notation (e.g., 2001:41d0::/128)","format":"ipv6-block","example":"2001:41d0::/128"},"macAddress":{"type":"string","description":"MAC address (e.g., 00:00:5e:00:53:01)","format":"mac-address","example":"00:00:5e:00:53:01"},"phoneNumber":{"type":"string","description":"Phone number","format":"phone-number"},"time":{"type":"string","description":"Time (e.g., 15:04:05)","format":"time","example":"15:04:05"}},"securitySchemes":{"oAuth2AuthCode":{"type":"oauth2","description":"Oauth2","x-client-id":"1bb9c7df371741c0","x-client-secret":"a5b4de870aca620d10fbf63cd18d205b","flows":{"authorizationCode":{"authorizationUrl":"https://auth.eu.ovhcloud.com/oauth2/authorize","tokenUrl":"https://auth.eu.ovhcloud.com/oauth2/token","scopes":{"account/all":"Manage your account","all":"Manage your whole account and all your services","services/all":"Manage your services lifecycle and billing"}}}}}},"paths":{"/finops/bucketExport":{"get":{"operationId":"getAllFinopsBucketExports","summary":"List FinOps bucket export configurations. The target bucket must be S3™*-compatible.","description":"<sup>*</sup> S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"header","name":"X-Pagination-Cursor","description":"Pagination cursor","schema":{"type":"string"}},{"in":"header","name":"X-Pagination-Size","description":"Pagination size","schema":{"type":"integer"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/finops.bucketExport.AsyncConfiguration"}},"examples":{"List of bucket exports":{"value":[{"checksum":"12345678901234567890123456789012","currentState":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":7,"filePolicy":"CREATE","period":"DAILY","scope":"urn:nichandle:nic1"},"currentTasks":[],"id":"1241b431-2a13-4974-835f-78f0e231a9b1","resourceStatus":"READY","targetSpec":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":7,"filePolicy":"CREATE","period":"DAILY","scope":"urn:nichandle:nic1"}}],"summary":"List containing a single ready bucket export"}}}}}},"x-developer-hub-navigation":[["Manage & Operate","Cost Center","Export FOCUS@@@10"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/finops/bucketExport\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/finops/bucketExport\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"account:apiovh:finops/bucketExport/get","required":true}],"x-response-identifier":"id","x-expanded-response":"FinopsBucketExportAsyncConfiguration"},"post":{"operationId":"createFinopsBucketExport","summary":"Create a FinOps bucket export configuration. The target bucket must be S3™*-compatible.","description":"<sup>*</sup> S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.","security":[{"oAuth2AuthCode":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/finops.bucketExport.AsyncCreateConfiguration"},"examples":{"Create bucket export":{"value":{"targetSpec":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":7,"filePolicy":"CREATE","period":"DAILY"}},"summary":"Creation payload pointing at a GRA bucket"}}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/finops.bucketExport.AsyncConfiguration"},"examples":{"Created bucket export":{"value":{"checksum":"12345678901234567890123456789012","currentState":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":7,"filePolicy":"CREATE","period":"DAILY","scope":"urn:nichandle:nic1"},"currentTasks":[{"id":"9a1f7d2e-3c4b-4f5a-8d6e-7f8a9b0c1d2e","link":"/finops/bucketExport/1241b431-2a13-4974-835f-78f0e231a9b1/task/9a1f7d2e-3c4b-4f5a-8d6e-7f8a9b0c1d2e","type":"CreateBucketExport"}],"id":"1241b431-2a13-4974-835f-78f0e231a9b1","resourceStatus":"CREATING","targetSpec":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":7,"filePolicy":"CREATE","period":"DAILY","scope":"urn:nichandle:nic1"}},"summary":"Configuration in CREATING state with a creation task"}}}}}},"x-developer-hub-navigation":[["Manage & Operate","Cost Center","Export FOCUS@@@30"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: finops.bucketExport.AsyncCreateConfiguration\nresult = client.post(\"/v2/finops/bucketExport\",\n\ttargetSpec = None, # Target Spec for the bucket export configuration (type: finops.bucketExport.Configuration)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: finops.bucketExport.AsyncCreateConfiguration\n$result = $ovh->post(\"/v2/finops/bucketExport\", array(\n\ttargetSpec => null, // Target Spec for the bucket export configuration (type: finops.bucketExport.Configuration)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"account:apiovh:finops/bucketExport/create","required":true}]}},"/finops/bucketExport/{id}":{"delete":{"operationId":"deleteFinopsBucketExport","summary":"Delete a FinOps bucket export configuration. The target bucket must be S3™*-compatible.","description":"<sup>*</sup> S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"id","description":"Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/finops.bucketExport.AsyncConfiguration"},"examples":{"Deleting bucket export":{"value":{"checksum":"12345678901234567890123456789012","currentState":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":7,"filePolicy":"CREATE","period":"DAILY","scope":"urn:nichandle:nic1"},"currentTasks":[{"id":"7e3f2a1b-4c5d-4e6f-8a9b-0c1d2e3f4a5b","link":"/finops/bucketExport/1241b431-2a13-4974-835f-78f0e231a9b1/task/7e3f2a1b-4c5d-4e6f-8a9b-0c1d2e3f4a5b","type":"DeleteBucketExport"}],"id":"1241b431-2a13-4974-835f-78f0e231a9b1","resourceStatus":"DELETING","targetSpec":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":7,"filePolicy":"CREATE","period":"DAILY","scope":"urn:nichandle:nic1"}},"summary":"Configuration transitioning to DELETING with a delete task"}}}}}},"x-developer-hub-navigation":[["Manage & Operate","Cost Center","Export FOCUS@@@40"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.delete(\"/v2/finops/bucketExport/{id}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->delete(\"/v2/finops/bucketExport/{id}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"account:apiovh:finops/bucketExport/delete","required":true}]},"get":{"operationId":"getFinopsBucketExport","summary":"Get a FinOps bucket export configuration. The target bucket must be S3™*-compatible.","description":"<sup>*</sup> S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"id","description":"Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/finops.bucketExport.AsyncConfiguration"},"examples":{"Ready bucket export":{"value":{"checksum":"12345678901234567890123456789012","currentState":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":7,"filePolicy":"CREATE","period":"DAILY","scope":"urn:nichandle:nic1"},"currentTasks":[],"id":"1241b431-2a13-4974-835f-78f0e231a9b1","resourceStatus":"READY","targetSpec":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":7,"filePolicy":"CREATE","period":"DAILY","scope":"urn:nichandle:nic1"}},"summary":"A bucket export configuration in READY state"}}}}}},"x-developer-hub-navigation":[["Manage & Operate","Cost Center","Export FOCUS@@@20"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\nresult = client.get(\"/v2/finops/bucketExport/{id}\")\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n$result = $ovh->get(\"/v2/finops/bucketExport/{id}\");\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"account:apiovh:finops/bucketExport/get","required":true}],"x-response-identifier":"id"},"put":{"operationId":"editFinopsBucketExport","summary":"Modify a FinOps bucket export configuration. The target bucket must be S3™*-compatible.","description":"<sup>*</sup> S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.","security":[{"oAuth2AuthCode":[]}],"parameters":[{"in":"path","name":"id","description":"Id","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/finops.bucketExport.AsyncConfiguration"},"examples":{"Update bucket export":{"value":{"checksum":"12345678901234567890123456789012","targetSpec":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":9,"filePolicy":"REPLACE"}},"summary":"Update changing the export hour and file policy"}}}}},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/finops.bucketExport.AsyncConfiguration"},"examples":{"Updated bucket export":{"value":{"checksum":"12345678901234567890123456789012","currentState":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":7,"filePolicy":"CREATE","period":"DAILY","scope":"urn:nichandle:nic1"},"currentTasks":[{"id":"5b2c8e4f-1a9d-4e6b-9c7f-0d3e1a2b3c4d","link":"/finops/bucketExport/1241b431-2a13-4974-835f-78f0e231a9b1/task/5b2c8e4f-1a9d-4e6b-9c7f-0d3e1a2b3c4d","type":"UpdateBucketExport"}],"id":"1241b431-2a13-4974-835f-78f0e231a9b1","resourceStatus":"UPDATING","targetSpec":{"bucketConfiguration":{"accessKey":"abcdef1234567890","bucketName":"my-finops","endpointURL":"s3.gra.io.cloud.ovh.net","pathPrefix":"/finops-reports/","region":"gra","secretKey":"abcdef1234567890"},"exportHour":9,"filePolicy":"REPLACE","period":"DAILY","scope":"urn:nichandle:nic1"}},"summary":"Configuration transitioning to UPDATING with an update task"}}}}}},"x-developer-hub-navigation":[["Manage & Operate","Cost Center","Export FOCUS@@@50"]],"x-badges":[{"color":"blue","label":"Beta version"}],"x-code-samples":[{"lang":"python","label":"Python","source":"'''\nFirst, install the latest release of Python wrapper: $ pip install ovh\n'''\nimport json\nimport ovh\n\n# Instantiate an OVH Client.\n# You can generate new credentials with full access to your account on\n# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\nclient = ovh.Client(\n\tendpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n\tapplication_key='xxxxxxxxxx',    # Application Key\n\tapplication_secret='xxxxxxxxxx', # Application Secret\n\tconsumer_key='xxxxxxxxxx',       # Consumer Key\n)\n\n# Request body type: finops.bucketExport.AsyncConfiguration\nresult = client.put(\"/v2/finops/bucketExport/{id}\",\n\tchecksum = None, # Checksum of the Bucket Export Configuration (type: string)\n\ttargetSpec = None, # Target Spec for the FinOps Bucket Export Configuration (type: finops.bucketExport.Configuration)\n)\n\n# Pretty print\nprint(json.dumps(result, indent=4))"},{"lang":"php","label":"PHP","source":"<?php\n/**\n * First, download the latest release of PHP wrapper on github\n * And include this script into the folder with extracted files\n */\nrequire __DIR__ . '/vendor/autoload.php';\nuse \\Ovh\\Api;\n\n/**\n * Instantiate an OVH Client.\n * You can generate new credentials with full access to your account on\n * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)\n */\n$ovh = new Api('xxxxxxxxxx',  // Application Key\n               'xxxxxxxxxx',  // Application Secret\n               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)\n               'xxxxxxxxxx'); // Consumer Key\n\n// Request body type: finops.bucketExport.AsyncConfiguration\n$result = $ovh->put(\"/v2/finops/bucketExport/{id}\", array(\n\tchecksum => null, // Checksum of the Bucket Export Configuration (type: string)\n\ttargetSpec => null, // Target Spec for the FinOps Bucket Export Configuration (type: finops.bucketExport.Configuration)\n));\n\nprint_r($result);\n?>"}],"x-iam-actions":[{"name":"account:apiovh:finops/bucketExport/edit","required":true}]}}}}
